Rename a data store
curl --request PATCH \
--url https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Building toy channels (US)"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Building toy channels (US)'})
};
fetch('https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId}"
payload = { "name": "Building toy channels (US)" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"error": "<string>",
"scope": "workspace",
"channelCount": 123,
"videoCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"readyAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Data stores
Rename a data store
Library stores can’t be changed.
Scope: datasets:write.
Send an Idempotency-Key header to make retries safe.
PATCH
/
data-stores
/
{dataStoreId}
Rename a data store
curl --request PATCH \
--url https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Building toy channels (US)"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Building toy channels (US)'})
};
fetch('https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/data-stores/{dataStoreId}"
payload = { "name": "Building toy channels (US)" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"error": "<string>",
"scope": "workspace",
"channelCount": 123,
"videoCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"readyAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Headers
Any unique string. Repeating a request with the same key returns the first result instead of doing it twice.
Maximum string length:
200Path Parameters
Data store id.
Pattern:
^[a-f0-9]{24}$Body
application/json
Required string length:
1 - 160Response
Success
collecting, ready or error. Collection usually takes minutes.
library stores are shared by Fandom and read-only.
Available options:
workspace, private, library 
